当サイト、Codex 日本語版は今後積極的な更新は行わない予定です。後継となる新ユーザーマニュアルは、https://ja.wordpress.org/support/ にあります。
万が一、当サイトで重大な問題を発見した際などは、フォーラムWordSlack #docs チャンネルでお知らせください。</p>

テンプレートタグ/post password required

提供: WordPress Codex 日本語版
< テンプレートタグ
2015年5月23日 (土) 00:10時点におけるMiccweb (トーク | 投稿記録)による版 (ソースファイル: 関連)

(差分) ← 古い版 | 最新版 (差分) | 新しい版 → (差分)
移動先: 案内検索

投稿がパスワードを必要とするか否か、また正しいパスワードが入力されたか否かを確認する関数。

使い方

<?php post_password_required( $post ); ?>

パラメータ

$post
mixed) (グローバルな $post 変数) 投稿ID (整数) または投稿オブジェクト
初期値: なし

戻り値

(boolean) 
パスワードが不要または正しいパスワードクッキーが存在する場合は false を返します。さもなくば true を返します。

変更履歴

2.7.0にて導入されました。

ソースファイル

post_password_required()wp-includes/post-template.php にあります。

関連

関数リファレンステンプレートタグ目次もご覧ください。


最新英語版: WordPress Codex » Function Reference/post password required最新版との差分